#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.16
visibility:           public
id:                   hledger-iadd-1.3.16-4fDvlkhf6kK1KmSmb7fVC4
key:                  hledger-iadd-1.3.16-4fDvlkhf6kK1KmSmb7fVC4
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  055cc22e43081a19bf7d062263f2ea73
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.16
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.16
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hledger-iadd-1.3.16
hs-libraries:         HShledger-iadd-1.3.16-4fDvlkhf6kK1KmSmb7fVC4
depends:
    base-4.15.1.0 brick-0.65-HMaOMov1g50HGyA5t0jtW3 containers-0.6.4.1
    directory-1.3.6.2 free-5.1.7-H0Ss9DsGnaKLecHE9FXdyp
    hledger-lib-1.24.1-HDMhKeZiVllDzzSfNeyqWS
    megaparsec-9.2.0-DevpBZ4FqsG1zrF3gfJIeG
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    microlens-th-0.4.3.10-CAAiPodk0tn9fh7vbCRi5r
    optparse-applicative-0.16.1.0-DEjwPOuSPXL9VmbUx7zk3c text-1.2.5.0
    text-zipper-0.11-LmvrxeL38RMDnYESBAc0eh time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.16.0-CwffDPZxPuFHBx4xcBeO
    vector-0.12.3.1-FGR30quEvBKIVgcX0eclul
    vty-5.34-GgxobJadLWe5ADrIM7Qpv5
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

